///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class MissionRequestMissions {
/*
{
  "missionId": 1,
  "completed": false
}
*/

  int? missionId;
  bool? completed;

  MissionRequestMissions({
    this.missionId,
    this.completed,
  });
  MissionRequestMissions.fromJson(Map<String, dynamic> json) {
    missionId = json['missionId']?.toInt();
    completed = json['completed'];
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['missionId'] = missionId;
    data['completed'] = completed;
    return data;
  }
}

class MissionRequest {
/*
{
  "challengeMissionHistoryId": 1,
  "missions": [
    {
      "missionId": 1,
      "completed": false
    }
  ],
  "note": "string"
}
*/

  int? challengeMissionHistoryId;
  List<MissionRequestMissions>? missions;
  String? note;

  MissionRequest({
    this.challengeMissionHistoryId,
    this.missions,
    this.note,
  });
  MissionRequest.fromJson(Map<String, dynamic> json) {
    challengeMissionHistoryId = json['challengeMissionHistoryId']?.toInt();
    if (json['missions'] != null) {
      final v = json['missions'];
      final arr0 = <MissionRequestMissions>[];
      v.forEach((v) {
        arr0.add(MissionRequestMissions.fromJson(v));
      });
      missions = arr0;
    }
    note = json['note']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['challengeMissionHistoryId'] = challengeMissionHistoryId;
    if (missions != null) {
      final v = missions;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['missions'] = arr0;
    }
    data['note'] = note;
    return data;
  }
}
